//
//  PCLogger.h
//  PayControlSDK
//
//  Created by Максуд on 07.02.2018.
//  Copyright © 2018 SafeTech Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PCKey.h"

//! Logging level on debug
typedef enum : NSUInteger {
    PC_NO_LOGGING,
    PC_LOG_DEBUG,
    PC_LOG_KEY_VALUES,
} PCLogLevel;

@interface PCLogger : NSObject
/**
 Возвращает строковое значение типа ключа: regular или dss
 */
+(NSString*)keyTypeString:(PCKey*)key;

/**
 Устанавливает уровень логирования в debug режиме
 
 @param logLevel Значение типа PCLogLevel. Значения могут комбинироваться, например PC_LOG_DEBUG | PC_LOG_KEY_VALUES выводит в лог и сообщения и значения ключей для большей информативности
 */
+(void)setLogging:(PCLogLevel)logLevel;

/**
 Логирует сообщение в консоль. Важно: должен быть установлен PC_LOG_DEBUG

 @param message сообщение вывода
 */
+ (void)logDebug:(NSString*)message;

/**
 Логирует значения в консоль. Важно: должен быть установлен PC_LOG_KEY_VALUES

 @param format Формат сообщения со значениями для вывода
 */

+ (void)logValues:(NSString *)format, ... NS_FORMAT_FUNCTION(1, 2);

@end
